# SplFileInfo::getPerms

(PHP 5 >= 5.1.2, PHP 7)

SplFileInfo::getPerms — Gets file permissions

### Description

public SplFileInfo::getPerms ( void ) : int

Gets the file permissions for the file.

### Parameters

This function has no parameters.

### Return Values

Returns the file permissions.

### Examples

Example #1 SplFileInfo::getPerms() example

`<?php
$info = new SplFileInfo('/tmp');
echo substr(sprintf('%o', $info->getPerms()), -4);
$info = new SplFileInfo(__FILE__);
echo substr(sprintf('%o', $info->getPerms()), -4);
?>`

The above example will output something similar to:

    1777
    0644